! 	This program demonstrates DO
!	===================================================
        program f77do1

	implicit none

	integer i, j

	do i = 1, 100, 7
	   j = i*i
	   print *, "i = ", i, ", i^2 = ", j
	end do

	print *

	end
